package mhp.oee.po.gen;

import java.math.BigDecimal;
import java.util.Date;

public class ProductionOutputFirstPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.RESRCE
     *
     * @mbggenerated
     */
    private String resrce;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.OPERATION
     *
     * @mbggenerated
     */
    private String operation;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.OPERATION_REVISION
     *
     * @mbggenerated
     */
    private String operationRevision;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.ITEM
     *
     * @mbggenerated
     */
    private String item;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.ITEM_REVISION
     *
     * @mbggenerated
     */
    private String itemRevision;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.START_DATE_TIME
     *
     * @mbggenerated
     */
    private Date startDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.END_DATE_TIME
     *
     * @mbggenerated
     */
    private Date endDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.SHIFT
     *
     * @mbggenerated
     */
    private String shift;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.SHIFT_DESCRIPTION
     *
     * @mbggenerated
     */
    private String shiftDescription;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.QTY_YIELD
     *
     * @mbggenerated
     */
    private BigDecimal qtyYield;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.QTY_SCRAP
     *
     * @mbggenerated
     */
    private BigDecimal qtyScrap;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.QTY_UNCONFIRM
     *
     * @mbggenerated
     */
    private BigDecimal qtyUnconfirm;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column production_output_first.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.HANDLE
     *
     * @return the value of production_output_first.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.HANDLE
     *
     * @param handle the value for production_output_first.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.SITE
     *
     * @return the value of production_output_first.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.SITE
     *
     * @param site the value for production_output_first.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.RESRCE
     *
     * @return the value of production_output_first.RESRCE
     *
     * @mbggenerated
     */
    public String getResrce() {
        return resrce;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.RESRCE
     *
     * @param resrce the value for production_output_first.RESRCE
     *
     * @mbggenerated
     */
    public void setResrce(String resrce) {
        this.resrce = resrce == null ? null : resrce.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.OPERATION
     *
     * @return the value of production_output_first.OPERATION
     *
     * @mbggenerated
     */
    public String getOperation() {
        return operation;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.OPERATION
     *
     * @param operation the value for production_output_first.OPERATION
     *
     * @mbggenerated
     */
    public void setOperation(String operation) {
        this.operation = operation == null ? null : operation.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.OPERATION_REVISION
     *
     * @return the value of production_output_first.OPERATION_REVISION
     *
     * @mbggenerated
     */
    public String getOperationRevision() {
        return operationRevision;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.OPERATION_REVISION
     *
     * @param operationRevision the value for production_output_first.OPERATION_REVISION
     *
     * @mbggenerated
     */
    public void setOperationRevision(String operationRevision) {
        this.operationRevision = operationRevision == null ? null : operationRevision.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.ITEM
     *
     * @return the value of production_output_first.ITEM
     *
     * @mbggenerated
     */
    public String getItem() {
        return item;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.ITEM
     *
     * @param item the value for production_output_first.ITEM
     *
     * @mbggenerated
     */
    public void setItem(String item) {
        this.item = item == null ? null : item.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.ITEM_REVISION
     *
     * @return the value of production_output_first.ITEM_REVISION
     *
     * @mbggenerated
     */
    public String getItemRevision() {
        return itemRevision;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.ITEM_REVISION
     *
     * @param itemRevision the value for production_output_first.ITEM_REVISION
     *
     * @mbggenerated
     */
    public void setItemRevision(String itemRevision) {
        this.itemRevision = itemRevision == null ? null : itemRevision.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.STRT
     *
     * @return the value of production_output_first.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.STRT
     *
     * @param strt the value for production_output_first.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.START_DATE_TIME
     *
     * @return the value of production_output_first.START_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.START_DATE_TIME
     *
     * @param startDateTime the value for production_output_first.START_DATE_TIME
     *
     * @mbggenerated
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.END_DATE_TIME
     *
     * @return the value of production_output_first.END_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.END_DATE_TIME
     *
     * @param endDateTime the value for production_output_first.END_DATE_TIME
     *
     * @mbggenerated
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.SHIFT
     *
     * @return the value of production_output_first.SHIFT
     *
     * @mbggenerated
     */
    public String getShift() {
        return shift;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.SHIFT
     *
     * @param shift the value for production_output_first.SHIFT
     *
     * @mbggenerated
     */
    public void setShift(String shift) {
        this.shift = shift == null ? null : shift.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.SHIFT_DESCRIPTION
     *
     * @return the value of production_output_first.SHIFT_DESCRIPTION
     *
     * @mbggenerated
     */
    public String getShiftDescription() {
        return shiftDescription;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.SHIFT_DESCRIPTION
     *
     * @param shiftDescription the value for production_output_first.SHIFT_DESCRIPTION
     *
     * @mbggenerated
     */
    public void setShiftDescription(String shiftDescription) {
        this.shiftDescription = shiftDescription == null ? null : shiftDescription.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.QTY_YIELD
     *
     * @return the value of production_output_first.QTY_YIELD
     *
     * @mbggenerated
     */
    public BigDecimal getQtyYield() {
        return qtyYield;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.QTY_YIELD
     *
     * @param qtyYield the value for production_output_first.QTY_YIELD
     *
     * @mbggenerated
     */
    public void setQtyYield(BigDecimal qtyYield) {
        this.qtyYield = qtyYield;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.QTY_SCRAP
     *
     * @return the value of production_output_first.QTY_SCRAP
     *
     * @mbggenerated
     */
    public BigDecimal getQtyScrap() {
        return qtyScrap;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.QTY_SCRAP
     *
     * @param qtyScrap the value for production_output_first.QTY_SCRAP
     *
     * @mbggenerated
     */
    public void setQtyScrap(BigDecimal qtyScrap) {
        this.qtyScrap = qtyScrap;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.QTY_UNCONFIRM
     *
     * @return the value of production_output_first.QTY_UNCONFIRM
     *
     * @mbggenerated
     */
    public BigDecimal getQtyUnconfirm() {
        return qtyUnconfirm;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.QTY_UNCONFIRM
     *
     * @param qtyUnconfirm the value for production_output_first.QTY_UNCONFIRM
     *
     * @mbggenerated
     */
    public void setQtyUnconfirm(BigDecimal qtyUnconfirm) {
        this.qtyUnconfirm = qtyUnconfirm;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.CREATED_DATE_TIME
     *
     * @return the value of production_output_first.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for production_output_first.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.MODIFIED_DATE_TIME
     *
     * @return the value of production_output_first.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for production_output_first.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column production_output_first.MODIFIED_USER
     *
     * @return the value of production_output_first.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column production_output_first.MODIFIED_USER
     *
     * @param modifiedUser the value for production_output_first.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}